function [xx]=loss_shd_prox_scale(yin,qin,scale)
%smoothed hinge
%argmin_x(f(y*x)/scale + 1/2|x-qin|^2 )
%f(y*x) = 0.5*(y*x + 1)^2 - 0.5 (-1<y*x<0).

xx = 1/(1+scale)*(scale*qin - yin);

xx = yin.*min(max(yin.*xx,-1),0);